---
title: TrackDefaultList
slug: Web/API/TrackDefaultList
tags:
  - API
  - Audio
  - Experimental
  - Extensions
  - Interface
  - MSE
  - Media
  - Reference
  - TrackDefaultList
  - Video
  - source
---
<p>{{APIRef("Media Source Extensions")}}{{Obsolete_Header}}</p>

<p>The <strong><code>TrackDefaultList</code></strong> interface represents a simple container list for multiple {{domxref("TrackDefault")}} objects.</p>

<p>The <code>TrackDefaultList</code> associated with a particular <code>SourceBuffer</code> can be retrieved using the {{domxref("SourceBuffer.trackDefaults")}} property.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("TrackDefaultList.TrackDefaultList", "TrackDefaultList()")}}</dt>
 <dd>Constructs and returns a new <code>TrackDefaultList</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent interface, {{domxref("EventTarget")}}.</em></p>

<dl>
 <dt>{{domxref("TrackDefaultList.length")}} {{readonlyInline}}</dt>
 <dd>Returns the number of {{domxref("TrackDefault")}} objects in the list.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Inherits properties from its parent interface, {{domxref("EventTarget")}}.</em></p>

<dl>
 <dt>{{domxref("TrackDefaultList.TrackDefault()")}}</dt>
 <dd>This getter allows the <code>TrackDefault</code> objects in the list to be accessed with an array operator (i.e. <code>[]</code>.)</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TBD.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.TrackDefaultList")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
 <li>{{domxref("TrackDefaultList")}}</li>
</ul>
